Last Comment Bug 736895 - Suppress warning warning C4355: 'this' : used in base member initializer list in nsHttpChannel::nsHttpChannel
: Suppress warning warning C4355: 'this' : used in base member initializer list...
Status: RESOLVED FIXED
[build_warning]
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: Trunk
: x86_64 Windows 7
: -- trivial (vote)
: mozilla14
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 15:58 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2012-04-05 11:26 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Suppress warning warning C4355: 'this' : used in base member initializer list in nsHttpChannel::nsHttpChannel (1.58 KB, patch)
2012-03-18 15:58 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
cbiesinger: review+
Details | Diff | Splinter Review

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-03-18 15:58:41 PDT
Created attachment 607022 [details] [diff] [review]
Suppress warning warning C4355: 'this' : used in base member initializer list in nsHttpChannel::nsHttpChannel

I verified that HttpAsyncAborter's constructor does not dereference the passed-in pointer.
Comment 1 Nathan Froyd [:froydnj] 2012-03-19 07:01:21 PDT
Comment on attachment 607022 [details] [diff] [review]
Suppress warning warning C4355: 'this' : used in base member initializer list in nsHttpChannel::nsHttpChannel

Review of attachment 607022 [details] [diff] [review]:
-----------------------------------------------------------------

::: netwerk/protocol/http/nsHttpChannel.cpp
@@ +69,5 @@
>  #include "mozilla/Telemetry.h"
>  #include "nsDOMError.h"
>  #include "nsAlgorithm.h"
>  #include "sampler.h"
> +#include "base/compiler_specific.h"

I'm a little leery about depending too much on the chromium IPC headers; it'd be better if something similar to ALLOW_THIS_IN_INITIALIZER_LIST was added to MFBT first.  There are certainly other places that could benefit from it.
Comment 2 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-04-04 19:20:30 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/6348b1ae1f85

Note You need to log in before you can comment on or make changes to this bug.